if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -x /sbin/udevadm ]; then
  /sbin/udevadm control --reload-rules
fi

( cd lib/firmware/turtlebeach ; rm -rf pndspini.bin )
( cd lib/firmware/turtlebeach ; ln -sf /etc/sound/pndspini.bin pndspini.bin )
( cd lib/firmware/turtlebeach ; rm -rf msndperm.bin )
( cd lib/firmware/turtlebeach ; ln -sf /etc/sound/msndperm.bin msndperm.bin )
( cd lib/firmware/turtlebeach ; rm -rf msndinit.bin )
( cd lib/firmware/turtlebeach ; ln -sf /etc/sound/msndinit.bin msndinit.bin )
( cd lib/firmware/turtlebeach ; rm -rf pndsperm.bin )
( cd lib/firmware/turtlebeach ; ln -sf /etc/sound/pndsperm.bin pndsperm.bin )
( cd usr/lib ; rm -rf liblo10k1.so )
( cd usr/lib ; ln -sf liblo10k1.so.0.0.0 liblo10k1.so )
( cd usr/lib ; rm -rf liblo10k1.so.0 )
( cd usr/lib ; ln -sf liblo10k1.so.0.0.0 liblo10k1.so.0 )
